//
// Statemachine code from reading SCXML file 'simpleftp.scxml'
// Created by: The Qt SCXML Compiler version 1 (Qt 5.9.4)
// WARNING! All changes made in this file will be lost!
//

#ifndef SIMPLEFTP_H
#define SIMPLEFTP_H

#include <QScxmlStateMachine>
#include <QString>
#include <QVariant>

class FtpClient: public QScxmlStateMachine
{
    /* qmake ignore Q_OBJECT */
    Q_OBJECT
    Q_PROPERTY(bool G)
    Q_PROPERTY(bool I)
    Q_PROPERTY(bool B)
    Q_PROPERTY(bool S)
    Q_PROPERTY(bool F)
    Q_PROPERTY(bool W)
    Q_PROPERTY(bool W.1xx)
    Q_PROPERTY(bool W.transfer)
    Q_PROPERTY(bool W.general)
    Q_PROPERTY(bool W.user)
    Q_PROPERTY(bool W.login)
    Q_PROPERTY(bool P)
    Q_PROPERTY(bool E)


public:
    Q_INVOKABLE FtpClient(QObject *parent = 0);
    ~FtpClient();



Q_SIGNALS:


private:
    struct Data;
    friend struct Data;
    struct Data *data;
};

Q_DECLARE_METATYPE(::FtpClient*)

#endif // SIMPLEFTP_H
